Description

Dear larsoft simulation experts,

ProtoDUNE-SP simulation has moved to use the refactored larg4 simulation. One of the issues is that the gdml used for larg4
simulation cannot be used for detector simulation.

Here is an example. In the larg4 wiki page
https://cdcvs.fnal.gov/redmine/projects/larg4/wiki
there is a simple geometry: IArDet.gdml

| am able to run refactored larg4 using this gdml, but | cannot run detector simulation with it. | copied IArDet.gdml to
IArDet_nowires.gdml and used the attached fcl file:

lar -c testdetsim.fcl /dune/data/users/tjyang/Testingout.root

| got the following error:

$MSG-s ArtException: PostEndJob 18-May-2020 22:02:06 CDT ModuleEndJob
—-——— EventProcessorFailure BEGIN
EventProcessor: an exception occurred during current event processing
———— ScheduleExecutionFailure BEGIN
Path: ProcessingStopped.
———— OtherArt BEGIN
—-——— GeometryCore BEGIN
Cryostat #0 does not exist
The above exception was thrown while processing module DriftElectronstoPlane/elecDrift run
1 subRun: 0 event: 1
———— GeometryCore END
———— OtherArt END
Exception going through path simulate
———— ScheduleExecutionFailure END
—-——— EventProcessorFailure END
—-——— FatalRootError BEGIN
Fatal Root Error: TTree::SetEntries
Tree branches have different numbers of entries, eg art::TriggerResults_TriggerResults__Detsim.
has 0 entries while EventAuxiliary has 1 entries.
ROOT severity: 2000
—-——— FatalRootError END
SMSG

Is it possible to modify IArDet.gdml to be compatible with the larsoft conventions?

Thanks,
Tingjun

History

#1 - 05/26/2020 01:12 PM - Kyle Knoepfel
- Assignee set to Hans-Joachim Wenzel

- Status changed from New to Assigned

Hans, can you take a look at this issue?
https://cdcvs.fnal.gov/redmine/projects/larg4/wiki

Hi Kyle

sure will do. But | think there are a few misleading issues with the request:

- protoDune is using the new larg4 and therefore it is possible to do detector simulation.
- there is an example for the dual phase protoDune that Bill Seligman put together and is documented in redmine.

| think what Tingjun wants is a general examples that's completely independent from any existing experimental setup so it can be used for general

studies so that when one wants to publish results one doesn't have to run it by any experiment first.

So what | can do is | can make a simple geometry, do the elecron propagation to a surfcae but probably will need some help feeding this info into the

sim-channels. May be we can get David Riveras help with this.

Hans

#2 - 06/01/2020 10:35 AM - Kyle Knoepfel

We will set up a meeting to figure out how to proceed.

#3 - 07/09/2020 06:20 PM - Hans-Joachim Wenzel

- Status changed from Assigned to Closed

duplicate see

https://cdcvs.fnal.gov/redmine/issues/22466

for work in progress

#4 - 07/09/2020 06:21 PM - Hans-Joachim Wenzel
- % Done changed from 0 to 100
